From: =?utf-8?q?=22IOhannes_m_zm=C3=B6lnig_=28Debian/GNU=29=22?=
 <umlaeute@debian.org>
Date: Sun, 4 Aug 2024 22:38:01 +0200
Subject: Fix FTBFS with gcc-14

Origin: Debian
Bug: https://github.com/pd-externals/ggee/pull/13
Last-Update: 2024-08-04

---
 control/inv.c      |  2 +-
 filters/hlshelf.c  | 16 ++++++++--------
 gui/envgen.c       |  4 ++--
 signal/streamin~.c |  2 +-
 4 files changed, 12 insertions(+), 12 deletions(-)

--- pd-ggee.orig/control/inv.c
+++ pd-ggee/control/inv.c
@@ -19,7 +19,7 @@
 
 static t_int *inv_perform(t_int *w)    /* not static; also used in d_fft.c */
 {
-    float *in = *(t_float **)(w+1), *out = *(t_float **)(w+2);
+    t_sample *in = *(t_sample **)(w+1), *out = *(t_sample **)(w+2);
     t_int n = *(t_int *)(w+3);
     while (n--)
     {
--- pd-ggee.orig/filters/hlshelf.c
+++ pd-ggee/filters/hlshelf.c
@@ -25,14 +25,14 @@
 typedef struct _hlshelf
 {
      t_object x_obj;
-     float s_rate;
-     float s_gain0;
-     float s_gain1;
-     float s_gain2;
-     float s_ltransfq;
-     float s_htransfq;
-     float s_lradians;
-     float s_hradians;
+     t_float s_rate;
+     t_float s_gain0;
+     t_float s_gain1;
+     t_float s_gain2;
+     t_float s_ltransfq;
+     t_float s_htransfq;
+     t_float s_lradians;
+     t_float s_hradians;
 } t_hlshelf;
 
 
--- pd-ggee.orig/gui/envgen.c
+++ pd-ggee/gui/envgen.c
@@ -211,7 +211,7 @@
      if (f > 0 && f < x->last_state)
         x->sustain_state = f;
      else
-		 pd_error(x,"sustain value not betweem 0 and %f, ignoring message", x->last_state);
+		 pd_error(x,"sustain value not betweem 0 and %d, ignoring message", x->last_state);
 }
 
 
@@ -361,7 +361,7 @@
     envgen_widgetbehavior.w_activatefn =   envgen_activate;
     envgen_widgetbehavior.w_deletefn =   envgen_delete;
     envgen_widgetbehavior.w_visfn =   envgen_vis;
-    envgen_widgetbehavior.w_clickfn = envgen_newclick;
+    envgen_widgetbehavior.w_clickfn = (t_clickfn)envgen_newclick;
 #if PD_MINOR_VERSION < 37
     envgen_widgetbehavior.w_propertiesfn = NULL;
     envgen_widgetbehavior.w_savefn =   envgen_save;
--- pd-ggee.orig/signal/streamin~.c
+++ pd-ggee/signal/streamin~.c
@@ -49,7 +49,7 @@
 extern int close(int);
 #endif
 extern void sys_rmpollfn(int fd);
-extern sys_addpollfn(int fd, void* fn, void *ptr);
+extern void sys_addpollfn(int fd, void* fn, void *ptr);
 
 static void sys_sockerror(char *s)
 {
